> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.bridge.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a summary of all rewards for a given stablecoin

> Get a summary of all rewards for a given stablecoin



## OpenAPI

````yaml https://withbridge-image1-sv-usw2-monorail-openapi.s3.amazonaws.com/latest.json get /rewards/{currency}
openapi: 3.0.2
info:
  title: Bridge API
  description: APIs to move into, out of, and between any form of a dollar
  version: '1'
servers:
  - url: https://api.bridge.xyz/v0
    description: The base path for all resources
security:
  - ApiKey: []
tags:
  - name: Customers
  - name: Fiat Payout Configuration
  - name: External Accounts
  - name: Transfers
  - name: Prefunded Accounts
  - name: Balances
  - name: Liquidation Addresses
  - name: Developers
  - name: API Keys
  - name: Plaid
  - name: Virtual Accounts
  - name: Static Memos
  - name: Cards
  - name: Funds Requests
  - name: Webhooks
  - name: Lists
  - name: Crypto Return Policies
  - name: Rewards
  - name: Associated Persons
  - name: Sandbox
paths:
  /rewards/{currency}:
    get:
      tags:
        - Rewards
      summary: Get a summary of all rewards for a given stablecoin
      description: Get a summary of all rewards for a given stablecoin
      parameters:
        - $ref: '#/components/parameters/RewardCurrencyParameter'
      responses:
        '200':
          description: The summary of all rewards for a given stablecoin
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DeveloperRewardSummary'
              examples:
                RewardSummary:
                  $ref: '#/components/examples/DeveloperRewardSummary'
        '401':
          $ref: '#/components/responses/AuthenticationError'
        '500':
          $ref: '#/components/responses/UnexpectedError'
components:
  parameters:
    RewardCurrencyParameter:
      in: path
      name: currency
      required: true
      schema:
        type: string
      description: The stablecoin symbol
  schemas:
    DeveloperRewardSummary:
      title: Reward Summary for a given stablecoin
      type: object
      properties:
        developer_id:
          type: string
          description: The developer ID of the developer
        currency:
          type: string
          description: The stablecoin symbol for the reward summary
        balance:
          type: string
          description: The balance of the developer in the given stablecoin
        rewards:
          type: string
          description: The rewards of the developer in the given stablecoin
        updated_at:
          type: string
          description: >-
            The timestamp of the last update to the reward summary, in ISO8601
            format
    Error:
      required:
        - code
        - message
      properties:
        code:
          type: string
          minLength: 1
          maxLength: 256
        message:
          type: string
          minLength: 1
          maxLength: 512
        source:
          title: ErrorSource
          required:
            - location
            - key
          properties:
            location:
              type: string
              enum:
                - path
                - query
                - body
                - header
            key:
              type: string
              description: >-
                Comma separated names of the properties or parameters causing
                the error
  examples:
    DeveloperRewardSummary:
      summary: A summary of all rewards for a given stablecoin
      value:
        developer_id: 2d127766-02fa-44b0-9fc8-a67665dbf109
        currency: xusd
        balance: '10000.00'
        rewards: '23.9725'
        updated_at: '2025-01-01T00:00:00.000Z'
  responses:
    AuthenticationError:
      description: Missing or invalid API key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            MissingTokenError:
              summary: No Api-Key header
              description: The header may be missing or misspelled.
              value:
                code: required
                location: header
                name: Api-Key
                message: Missing Api-Key header
            InvalidTokenError:
              summary: Invalid key in Api-Key header
              value:
                code: invalid
                location: header
                name: Api-Key
                message: Invalid Api-Key header
    UnexpectedError:
      description: Unexpected error. User may try and send the request again.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          examples:
            UnexpectedError:
              summary: An unexpected error
              value:
                errors:
                  - code: unexpected
                    message: An expected error occurred, you may try again later
  securitySchemes:
    ApiKey:
      type: apiKey
      name: Api-Key
      in: header

````